Update/Delete Process Variables
curl --request POST \
--url http://{host}:{port}/{contextPath}/process-instance/{id}/variables \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"modifications": {
"aVariable": {
"value": "aValue",
"type": "String"
},
"anotherVariable": {
"value": 42,
"type": "Integer"
}
},
"deletions": [
"aThirdVariable",
"FourthVariable"
]
}
'import requests
url = "http://{host}:{port}/{contextPath}/process-instance/{id}/variables"
payload = {
"modifications": {
"aVariable": {
"value": "aValue",
"type": "String"
},
"anotherVariable": {
"value": 42,
"type": "Integer"
}
},
"deletions": ["aThirdVariable", "FourthVariable"]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
modifications: {
aVariable: {value: 'aValue', type: 'String'},
anotherVariable: {value: 42, type: 'Integer'}
},
deletions: ['aThirdVariable', 'FourthVariable']
})
};
fetch('http://{host}:{port}/{contextPath}/process-instance/{id}/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}流程实例
修改/删除流程变量
Updates or deletes the variables of a process instance by id. Updates precede deletions. So, if a variable is updated AND deleted, the deletion overrides the update.
POST
/
process-instance
/
{id}
/
variables
Update/Delete Process Variables
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the process instance to set variables for.
Body
application/json
Response
Request successful.
⌘I